Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1311523

Summary: python-django-debug-toolbar: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: python-django-debug-toolbarAssignee: Matthias Runge <mrunge>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bkabrda, dkrejci, mrunge
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-21 14:00:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1285816, 1333765    

Description Tomas Orsava 2016-02-24 12:11:17 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-05-04 12:35:19 UTC
Hello Matthias,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Matthias Runge 2016-05-04 12:39:19 UTC
You mean, something like time? Feel free to submit a patch.

Comment 3 Tomas Orsava 2016-05-06 12:07:21 UTC
Matthias, when looking at the spec file it seems there already IS a Python 3 support, it's just turned off:

%global with_python3 0

Is there some reason for this? The changelog only mentions that Python 3 support was added.

Thank you for your time.

Comment 4 Matthias Runge 2016-05-09 06:12:12 UTC
Besides tests don't seem to work with python3, there is a build error thrown, something like a typo, but unfortunately I wasn't able to spot it.

Feel free to jump in.

Comment 5 Tomas Orsava 2016-05-09 10:04:45 UTC
A typo in the upstream build process? Or in the specfile?

Comment 6 Matthias Runge 2016-05-09 10:19:22 UTC
must be in the spec file.